Ticket #5608 (new defect)

Opened 7 years ago

Last modified 7 years ago

Pippy has un-checked PyGTKSourceView2 Dependency

Reported by: mcfletch Owned by: cjb
Priority: normal Milestone: Future Release
Component: pippy-activity Version: Development source as of this date
Keywords: Cc:
Action Needed: Verified: no
Deployments affected: Blocked By:
Blocking:

Description

This isn't checked for by sugar-jhbuild, and at least on Gentoo, the version that is available in portage (2.0.0-r1) doesn't seem to be compatible (no attribute list_languages on the LanguageManager instance, pippy_app line 113). The version currently on the laptops is 1.90.3 .

sugar-jhbuild should check for the dependency and Pippy should likely be made capable of dealing with both of the versions.

Attachments

support_gtksourceview2_0_0.diff (1.2 kB) - added by mcfletch 7 years ago.
Get to the point where the activity at least loads with pygtksourceview 2.0.0

Change History

Changed 7 years ago by mcfletch

Get to the point where the activity at least loads with pygtksourceview 2.0.0

Changed 7 years ago by jg

  • milestone changed from Never Assigned to Future Release

This seems wrong to fix at this date; please wait until after update.1 is out.

Note: See TracTickets for help on using tickets.